AI 에이전트의 경우: 문서 인덱스는 https://www.mongodb.com/ko-kr/docs/llms.txt에서 사용할 수 있으며, 모든 페이지의 마크다운 버전은 어떤 URL 경로에 .md를 추가하여 사용할 수 있습니다.
Docs Menu

1개의 유지 관리 기간 만들기

유지 관리 기간 을 하나 만듭니다. MongoDB Ops Manager 는 유지 관리가 수행될 수 있도록 지정한 기간 동안 특정 경고 유형에 대한 경고 알림 을 끕니다.

다음과 같은 할당된 역할을 사용하여 이 엔드포인트를 성공적으로 호출할 수 있습니다.

기본 URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0

POST /groups/{PROJECT-ID}/maintenanceWindows/
이름
유형
설명

PROJECT-ID

문자열

프로젝트의 고유 식별자입니다.

이름
유형
필요성
설명
기본값

pretty

부울

옵션

응답 본문이 pretty-print 형식인지 여부를 나타내는 플래그입니다.

false

envelope

부울

옵션

응답을 엔벨로프에 래핑할지 여부를 나타내는 플래그입니다.

일부 API 클라이언트는 HTTP 응답 헤더 또는 상태 코드에 액세스할 수 없습니다. 이 문제를 해결하려면 쿼리에서 envelope=true를 설정합니다.

하나의 결과를 반환하는 엔드포인트의 경우 응답 본문에는 다음이 포함됩니다.

  • status: HTTP 응답 코드

  • content예상되는 응답 본문

false

본문 매개변수
유형
필요성
설명

alertTypeNames

문자열 배열

필수 사항

유지 관리 기간 동안 무음으로 설정할 경고 유형입니다. 예: HOST, REPLICA_SET, CLUSTER, AGENT, BACKUP

startDate

문자열

필수 사항

Timestamp in ISO 8601 date and time format in UTC when the maintenance window starts.

endDate

문자열

필수 사항

Timestamp in ISO 8601 date and time format in UTC when the maintenance window ends.

description

문자열

옵션

유지 관리 기간에 대한 설명입니다.

이름
유형
설명

id

문자열

유지 관리 기간의 고유 식별자입니다.

groupId

문자열

이 유지 관리 기간이 적용되는 프로젝트의 고유 식별자입니다.

created

문자열

Timestamp in ISO 8601 date and time format in UTC when the maintenance window was created.

updated

문자열

Timestamp in ISO 8601 date and time format in UTC when the maintenance window was last updated.

startDate

문자열

Timestamp in ISO 8601 date and time format in UTC when the maintenance window starts.

endDate

문자열

Timestamp in ISO 8601 date and time format in UTC when the maintenance window ends.

alertTypeNames

문자열 배열

유지 관리 기간 동안 무음으로 설정할 경고 유형입니다. 예: HOST, REPLICA_SET, CLUSTER, AGENT, BACKUP

description

문자열

유지 관리 기간에 대한 설명입니다. 이 필드는 유지 관리 기간에 대한 설명을 제공한 경우에만 나타납니다.

1curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
2 --header "Accept: application/json" \
3 --header "Content-Type: application/json" \
4 --include \
5 --request POST "https://<OpsManagerHost>:<Port>/api/public/v1.0/groups/{PROJECT-ID}/maintenanceWindows" \
6 --data '
7 {
8 "startDate" :"2015-10-23T22:00:00Z",
9 "endDate" : "2015-10-23T23:30:00Z",
10 "alertTypeNames" : [ "REPLICA_SET" ],
11 "description" : "new description"
12 }'
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
1{
2 "alertTypeNames" : [ "REPLICA_SET" ],
3 "created" : "2015-10-22T20:49:35Z",
4 "description" : "my description",
5 "endDate" : "2015-10-23T23:30:00Z",
6 "groupId" : "{PROJECT-ID}",
7 "id" : "56294bdfd4c643eef5176b73",
8 "startDate" : "2015-10-23T22:00:00Z",
9 "updated" : "2015-10-22T20:49:35Z",
10 "links" : []
11}